# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "brk_logger"
version = "0.1.0-alpha.1"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A thin wrapper around env_logger"
homepage = "https://bitcoinresearchkit.org"
readme = "README.md"
license = "MIT"
repository = "https://github.com/bitcoinresearchkit/brk"

[lib]
name = "brk_logger"
path = "src/lib.rs"

[[example]]
name = "log"
path = "examples/log.rs"

[dependencies.env_logger]
version = "0.11.8"

[dependencies.jiff]
version = "0.2.16"

[dependencies.log]
version = "0.4.29"

[dependencies.owo-colors]
version = "4.2.3"

[dependencies.parking_lot]
version = "0.12.5"
